Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.session
Interface Session

All Known Implementing Classes:
  AxisHttpSession, SimpleSession

public interface Session

An abstract interface to provide session storage to Axis services.

This is extremely basic at the moment.

Author:
  Glen Daniels (gdaniels@macromedia.com)

Method Summary
`Object` | `get(String key)` Get a property from the session
`Enumeration` | `getKeys()` Get an enumeration of the keys in this session
`Object` | `getLockObject()` Get an Object suitable for synchronizing the session.
`int` | `getTimeout()` Return the sessions' time-to-live.
`void` | `remove(String key)` Remove a property from the session
`void` | `set(String key, Object value)` Set a property in the session
`void` | `setTimeout(int timeout)` Set the session's time-to-live.
`void` | `touch()` "Touch" the session (mark it recently used)

Method Detail

### get

    public Object get(String key)

  Get a property from the session

  Parameters:
    `key` - the name of the property desired.

### set

    public void set(String key,
                    Object value)

  Set a property in the session

  Parameters:
    `key` - the name of the property to set.
    `value` - the value of the property.

### remove

    public void remove(String key)

  Remove a property from the session

  Parameters:
    `key` - the name of the property desired.

### getKeys

    public Enumeration getKeys()

  Get an enumeration of the keys in this session

### setTimeout

    public void setTimeout(int timeout)

  Set the session's time-to-live.

  This is implementation-specific, but basically should be the # of seconds of inactivity which will cause the session to time out and invalidate. "inactivity" is implementation-specific.

### getTimeout

    public int getTimeout()

  Return the sessions' time-to-live.

  Returns:
    the timeout value for this session.

### touch

    public void touch()

  "Touch" the session (mark it recently used)

### getLockObject

    public Object getLockObject()

  Get an Object suitable for synchronizing the session. This method exists because different session implementations might provide different ways of getting at shared data. For a simple hashtable- based session, this would just be the hashtable, but for sessions which use database connections, etc. it might be an object wrapping a table ID or somesuch.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.